Browserbase
List sessions
List sessions
GET
/browserbase/v1/sessions● SupportedRequest parameters
statusstring可选qstring可选Query sessions by user metadata. See [Querying Sessions by User Metadata](/features/sessions#querying-sessions-by-user-metadata) for the schema of this query.
Returns
200
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
Response
HTTP 200
The request has succeeded.
application/json
| Name | Type | Description |
|---|---|---|
| [].id | string | |
| [].createdAt | string | |
| [].updatedAt | string | |
| [].projectId | string | The Project ID linked to the Session. |
| [].startedAt | string | |
| [].endedAt | string | |
| [].expiresAt | string | |
| [].status | string | |
| [].proxyBytes | integer | Bytes used via the Proxy |
| [].keepAlive | boolean | Indicates if the Session was created to be kept alive upon disconnections |
| [].contextId | string | Optional. The Context linked to the Session. |
| [].region | string | The region where the Session is running. |
| [].userMetadata | object | Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata. |